const r = (n) => {
  const { color: t, get: e, spacing: o } = n;
  return {
    ".tooltip": {
      zIndex: 50,
      overflow: "hidden",
      borderRadius: o(1.5),
      backgroundColor: t("interaction.sub.strong.default"),
      color: t("content.inverse.strong"),
      borderWidth: o(0),
      fontWeight: 400,
      padding: o(2, 3, 2, 3),
      fontSize: e("fontSize.sm"),
      boxShadow: "0 4px 6px rgba(0, 0, 0, 0.1)"
    }
  };
}, i = {
  getComponents: r
};
export {
  i as TailwindTooltip
};
